import request from '@/utils/request'

// 查询设备用户列表
export function listZtUser(query) {
    return request({
        url: '/bDeviceZt/user/list',
        method: 'get',
        params: query
    })
}

// 查询设备用户详细
export function getZtUser(deviceId, userId) {
    return request({
        url: '/bDeviceZt/user/' + deviceId + '/' + userId,
        method: 'get'
    })
}

// 新增设备用户
export function addZtUser(data) {
    return request({
        url: '/bDeviceZt/user',
        method: 'post',
        data: data
    })
}

// 新增多个设备用户
export function addZtUsers(data) {
    return request({
        url: '/bDeviceZt/user/addZtUsers',
        method: 'post',
        data: data
    })
}

// 修改设备用户
export function updateZtUser(data) {
    return request({
        url: '/bDeviceZt/user',
        method: 'put',
        data: data
    })
}

// 删除设备用户
export function delZtUser(ztUser) {
    return request({
        url: '/bDeviceZt/user',
        method: 'delete',
        data: ztUser
    })
}


// 删除设备用户
export function shareZtUser(query) {
    return request({
        url: '/bDeviceZt/user/shareUser',
        method: 'get',
        params: query
    })
}

// 分配组态
export function assignment(query) {
    console.log(query)
    return request({
        url: '/bDeviceZt/user/assignment',
        method: 'post',
        data: query
    })
}
